Package org.apache.cxf.message

# Interface StringMap

All Superinterfaces:
  `Map<String,Object>`

All Known Subinterfaces:
  `Exchange`, `Message`

All Known Implementing Classes:
  `AbstractWrappedMessage`, `ExchangeImpl`, `MessageImpl`, `StringMapImpl`, `XMLMessage`

public interface StringMap extends Map<String,Object>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `get(Class<T> key)`
  Convenience method for storing/retrieving typed objects from the map.
  `<T> void`
  `put(Class<T> key, T value)`
  Convenience method for storing/retrieving typed objects from the map.
  `<T> T`
  `remove(Class<T> key)`
  Convenience method for removing typed objects from the map.

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- ## Method Details

  - ### get

    <T> T get(Class<T> key)
    Convenience method for storing/retrieving typed objects from the map. equivalent to: (T)get(key.getName());
    Parameters:
      `key` - the key
    Returns:
      the value

  - ### put

    <T> void put(Class<T> key, T value)
    Convenience method for storing/retrieving typed objects from the map. equivalent to: put(key.getName(), value);
    Parameters:
      `key` - the key
      `value` - the value

  - ### remove

    <T> T remove(Class<T> key)
    Convenience method for removing typed objects from the map. equivalent to: (T)remove(key.getName());
    Parameters:
      `key` - the key